Mailinglist Archive: opensuse-factory (458 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20171006 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20171006

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
antlr
at-spi2-core
baobab (3.26.0 -> 3.26.1)
bijiben (3.26.0 -> 3.26.1)
colord
cpupower
dconf (0.26.0 -> 0.26.1)
eog (3.26.0 -> 3.26.1)
eog-plugins (3.26.0 -> 3.26.1)
evolution (3.26.0 -> 3.26.1)
evolution-data-server (3.26.0 -> 3.26.1)
evolution-ews (3.26.0 -> 3.26.1)
file-roller (3.26.0 -> 3.26.1)
gdk-pixbuf (2.36.10 -> 2.36.11)
gdm (3.26.0 -> 3.26.1)
gjs (1.50.0 -> 1.50.1)
glade (3.20.0 -> 3.20.1)
glib2 (2.54.0 -> 2.54.1)
glibc
glibc
gnome-characters (3.25.92 -> 3.26.1)
gnome-control-center (3.26.0 -> 3.26.1)
gnome-desktop (3.26.0 -> 3.26.1)
gnome-dictionary (3.26.0 -> 3.26.1)
gnome-disk-utility (3.26.0 -> 3.26.1)
gnome-documents (3.26.0 -> 3.26.1)
gnome-games (3.26.0 -> 3.26.1.1)
gnome-maps (3.26.0 -> 3.26.1)
gnome-music (3.26.0 -> 3.26.1)
gnome-online-accounts (3.26.0 -> 3.26.1)
gnome-photos (3.26.0 -> 3.26.1)
gnome-session (3.26.0 -> 3.26.1)
gnome-settings-daemon (3.26.0 -> 3.26.1)
gnome-shell (3.26.0 -> 3.26.1)
gnome-software (3.26.0 -> 3.26.1)
gnome-system-monitor
gnome-terminal (3.26.0 -> 3.26.1)
gnome-tweak-tool (3.26.1 -> 3.26.2.1)
gnome-user-docs (3.26.0.1 -> 3.26.1)
gobject-introspection (1.54.0 -> 1.54.1)
gthumb (3.5.2 -> 3.5.3)
gtk3 (3.22.21 -> 3.22.24)
gtksourceview (3.24.4 -> 3.24.5)
gucharmap (10.0.1 -> 10.0.2)
gvfs (1.34.0 -> 1.34.1)
harfbuzz (1.4.8 -> 1.5.1)
java-1_8_0-openjdk
jsonrpc-glib (3.26.0 -> 3.26.1)
libdazzle (3.26.0 -> 3.26.1)
liblouis
libnsl
librsvg (2.40.18 -> 2.40.19)
mutter (3.26.0 -> 3.26.1)
patterns-gnome
polari (3.26.0 -> 3.26.1)
retro-gtk (0.12.0 -> 0.12.1)
rhino
servletapi5
simple-scan (3.26.0 -> 3.26.1)
sysprof (3.26.0 -> 3.26.1)
template-glib (3.26.0 -> 3.26.1)
tracker (2.0.0 -> 2.0.1)
tracker-miners (2.0.0 -> 2.0.1)
vte (0.50.0 -> 0.50.1)
xalan-j2
xerces-j2
yast2-theme (4.0.0 -> 4.0.1)

=== Details ===

==== antlr ====
Subpackages: antlr-devel antlr-java

- Require java-devel >= 1.6 to build, because of the source and
target level

==== at-spi2-core ====
Subpackages: at-spi2-core-lang libatspi0 typelib-1_0-Atspi-2_0

- Update package summaries and old RPM macros.

==== baobab ====
Version update (3.26.0 -> 3.26.1)
Subpackages: baobab-lang

- Update to version 3.26.1:
+ Fix saving window size.
+ Updated documentation translations.
+ Updated translations.
- Drop %glib2_gsettings_schema_*, %desktop_database_* and
%icon_theme_cache_* post/postun macros: functionality now covered
by file triggers.

==== bijiben ====
Version update (3.26.0 -> 3.26.1)
Subpackages: bijiben-lang gnome-shell-search-provider-bijiben

- Update to version 3.26.1:
+ Fixed gettext domain.
+ Updated a couple of help screenshots.
+ Updated translations.

==== colord ====
Subpackages: colord-color-profiles colord-lang libcolord2 libcolorhug2

- Update package summaries. Replace old RPM shell variables.

==== cpupower ====
Subpackages: libcpupower0

- Enter decode_misc_enable_msr() only if genuine_intel.
[bsc#1048546,
turbostat_decode_MSR_IA32_MISC_ENABLE_only_on_Intel.patch]

==== dconf ====
Version update (0.26.0 -> 0.26.1)
Subpackages: gsettings-backend-dconf libdconf1

- Update to version 0.26.1:
+ Work around a deadlock in GObject type initialization
(bgo#674885).

==== eog ====
Version update (3.26.0 -> 3.26.1)
Subpackages: eog-lang

- Update to version 3.26.1:
+ Updated manual translations.
+ Updated translations.
- Drop %glib2_gsettings_schema_requires: no longer needed.

==== eog-plugins ====
Version update (3.26.0 -> 3.26.1)
Subpackages: eog-plugins-lang

- Update to version 3.26.1:
+ Updated translations.
- Add '-m 644' to the 'install %{S:1}' at %prep section: remove of
executable permitions.
- Drop %glib2_gsettings_schema_* requires/post/postun:
functionality now covered by file triggers.

==== evolution ====
Version update (3.26.0 -> 3.26.1)
Subpackages: evolution-lang evolution-plugin-bogofilter
evolution-plugin-pst-import evolution-plugin-spamassassin

- Update to version 3.26.1:
+ Add flatpak build script for stable Evolution version.
+ Show also git commit ID of Evolution in VERSION_SUBSTRING of
flatpak build.
+ Correct runtime warning when creating All Day Appointment.
+ Cannot change organizer of existing meeting.
+ Use large-enough buffer in e_calendar_item_draw_day_numbers().
+ Fix some syntax errors in translations.
+ Remove linked page that got deleted in 8f967d9f.
+ Bugs fixed: bgo#758945, bgo#787411, bgo#785618, bgo#787590,
bgo#785178, bgo#787646, bgo#739059, bgo#788050, bgo#788051,
bgo#788164, bgo#788231, bgo#788112.
+ Updated translations.

==== evolution-data-server ====
Version update (3.26.0 -> 3.26.1)
Subpackages: evolution-data-server-lang libcamel-1_2-60 libebackend-1_2-10
libebook-1_2-19 libebook-contacts-1_2-2 libecal-1_2-19 libedata-book-1_2-25
libedata-cal-1_2-28 libedataserver-1_2-22 libedataserverui-1_2-1

- Update to version 3.26.1:
+ e_module_load_all_in_directory: Use g_debug() instead of
g_warning().
+ Ignore "timed out" error from
goa_account_call_ensure_credentials_sync().
+ [EGoaPasswordBased] Reuse GoaClient object between password
lookup calls.
+ Misleading error for Google collection account without Calendar
part.
+ [IMAPx] Wait for IDLE stop up to 10 seconds, then give up.
+ Fix some issues found by Coverity Scan.
+ Bugs fixed: bgo#787266, bgo#787341, bgo#769834, bgo#787445,
bgo#787542, bgo#787713, bgo#787514, bgo#787935, bgo#788048,
bgo#788051, bgo#787656, bgo#786208.
+ Updated translations.

==== evolution-ews ====
Version update (3.26.0 -> 3.26.1)
Subpackages: evolution-ews-lang

- Update to version 3.26.1:
+ Escape spaces in server Categories for message Labels.
+ Bugs fixed: bgo#786208.

==== file-roller ====
Version update (3.26.0 -> 3.26.1)
Subpackages: file-roller-lang

- Update to version 3.26.1:
+ Updated translations.
- Drop %glib2_gsettings_schema_*, %desktop_database_* and
%icon_theme_cache_* post/postun/requires macros: functionality
now covered by file triggers.

==== gdk-pixbuf ====
Version update (2.36.10 -> 2.36.11)
Subpackages: gdk-pixbuf-devel gdk-pixbuf-lang gdk-pixbuf-query-loaders
gdk-pixbuf-query-loaders-32bit gdk-pixbuf-thumbnailer libgdk_pixbuf-2_0-0
libgdk_pixbuf-2_0-0-32bit typelib-1_0-GdkPixbuf-2_0

- Update to version 2.36.11:
+ Build:
- Fix tiff loader build (bgo#786342).
- Prefer newer libpng (bgo#786035).
+ Use a free reference images for tests (bgo#787050).
+ gif: fail quickly if image dimensions are too big (bgo#785973).
+ xlib: Avoid an out-of-bounds error on bigendian (bgo#775896).
+ Updated translations.
- Drop u_contrib-gdk-pixbuf-xlib-Fix-rgb888amsb.patch: fixed
upstream.
- Add gdk-pixbuf-rpmlintrc: filter gdk-pixbuf-devel.*: W:
non-conffile-in-etc /etc/rpm/macros.gdk-pixbuf.

==== gdm ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gdm-lang gdmflexiserver libgdm1 typelib-1_0-Gdm-1_0

- Update to version 3.26.1:
+ Check for Xwayland before agreeing to do wayland.
+ Misc wayland fixes.
+ Xdmcp fixes.
+ Minor clean ups.
+ Allow gnome initial-setup to be forced from kernel command
line.
+ Updated translations.
- Drop gdm-check-for-Xwayland.patch: fixed upstream.
- Rebase gdm-plymouth-vt1.patch and gdm-xauthlocalhostname.patch.

==== gjs ====
Version update (1.50.0 -> 1.50.1)
Subpackages: libgjs0 typelib-1_0-GjsPrivate-1_0

- Update to version 1.50.1:
+ As a debugging aid, gjs_dumpstack() now works even during
garbage collection.
+ Code coverage tools did not work so well in the last few 1.49
releases. The worst problems are now fixed, although even more
improvements will be released in the next unstable version.
Fixes include:
- Specifing prefixes for code coverage files now works again.
- Code coverage now works on lines inside ES6 class
definitions.
- The detection of which lines are executable has been improved
a bit.

==== glade ====
Version update (3.20.0 -> 3.20.1)
Subpackages: glade-lang libgladeui-2-6

- Update to version 3.20.1:
+ Fixes:
- Glib g_ptr_array_find() name clash.
- Survey css matching error on CSD.
- "format not a string literal" warnings.
+ Bug fixes:
- "GLADE 3.20: crash on changing ToolItem type" (bgo#773997).
- "Using Spacebar to change menu selction causes crash"
(bgo#765562).
- "client side decoration, no space to add header bar"
(bgo#765885).
- Clicking in ... swap order of accelerators (bgo#589306).
- "[Wayland] glade previewer is resizing windows until it
crashes gnome-shell" (bgo#761651).
- Drop %desktop_database_* and %icon_theme_cache_* post/postun:
functionality now covered by file triggers.
- Drop glade-use-g_ptr_array_find-from-GLib.patch: fixed upstream
(bgo#782161).

==== glib2 ====
Version update (2.54.0 -> 2.54.1)
Subpackages: glib2-devel glib2-lang glib2-tools libgio-2_0-0 libgio-2_0-0-32bit
libglib-2_0-0 libglib-2_0-0-32bit libgmodule-2_0-0 libgmodule-2_0-0-32bit
libgobject-2_0-0 libgobject-2_0-0-32bit libgthread-2_0-0 libgthread-2_0-0-32bit

- Install dummy *-mimeapps.list files to prevent dead symlinks
(bsc#1061599).
- Update to version 2.54.1:
+ Bugs fixed: bgo#786737, bgo#787551, bgo#783270, bgo#783210,
bgo#781867.
+ Updated translations.

==== glibc ====
Subpackages: glibc-32bit glibc-locale-32bit

- nss-compat.patch: Move nss_compat from nis to nss subdir and install it
unconditionally
- nsswitch.conf: switch back to compat for passwd, group, shadow
- assert-pedantic.patch: Suppress pedantic warning caused by statement
expression (BZ #21242, BZ #21972)
- math-c++-compat.patch: Add more C++ compatibility
- getaddrinfo-errno.patch: Fix errno and h_errno handling in getaddrinfo
(BZ #21915, BZ #21922)
- resolv-conf-oom.patch: Fix memory handling in OOM situation during
resolv.conf parsing (BZ #22095, BZ #22096)
- dynarray-allocation.patch: Fix initial size of dynarray allocation and
set errno on overflow error
- nearbyint-inexact.patch: Avoid spurious inexact in nearbyint (BZ #22225)
- math-c++-compat.patch: add more C++ compatibility (BZ #22146)
- Remove rpcsvc/yppasswd.* from glibc-devel
- ld-so-hwcap-x86-64.patch: add x86_64 to hwcap (bsc#1056606, BZ #22093)
- eh-frame-zero-terminator.patch: Properly terminate .eh_frame (BZ #22051)
- Disable obsolete libnsl and NIS support
- remove-nss-nis-compat.patch: remove nis and compat from default NSS
configs
- nsswitch.conf: Likewise

==== glibc ====
Subpackages: glibc-devel glibc-extra glibc-info glibc-locale nscd

- nss-compat.patch: Move nss_compat from nis to nss subdir and install it
unconditionally
- nsswitch.conf: switch back to compat for passwd, group, shadow
- assert-pedantic.patch: Suppress pedantic warning caused by statement
expression (BZ #21242, BZ #21972)
- math-c++-compat.patch: Add more C++ compatibility
- getaddrinfo-errno.patch: Fix errno and h_errno handling in getaddrinfo
(BZ #21915, BZ #21922)
- resolv-conf-oom.patch: Fix memory handling in OOM situation during
resolv.conf parsing (BZ #22095, BZ #22096)
- dynarray-allocation.patch: Fix initial size of dynarray allocation and
set errno on overflow error
- nearbyint-inexact.patch: Avoid spurious inexact in nearbyint (BZ #22225)
- math-c++-compat.patch: add more C++ compatibility (BZ #22146)
- Remove rpcsvc/yppasswd.* from glibc-devel
- ld-so-hwcap-x86-64.patch: add x86_64 to hwcap (bsc#1056606, BZ #22093)
- eh-frame-zero-terminator.patch: Properly terminate .eh_frame (BZ #22051)
- Disable obsolete libnsl and NIS support
- remove-nss-nis-compat.patch: remove nis and compat from default NSS
configs
- nsswitch.conf: Likewise

==== gnome-characters ====
Version update (3.25.92 -> 3.26.1)
Subpackages: gnome-characters-lang gnome-shell-search-provider-gnome-characters

- Update to version 3.26.1:
+ characterList: Make search work again
+ Updated translations.
- Drop no longer needed post(un) macros:
glib2_gsettings_schema_post(un) and icon_theme_cache_post(un),
file triggers takes care of this now.

==== gnome-control-center ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-control-center-color gnome-control-center-goa
gnome-control-center-lang gnome-control-center-user-faces

- Update to version 3.26.1:
+ Honor OnlyShowIn/NotShowIn in panel desktop files.
+ Make alternative window decoration layouts work with the new
split header bar.
+ Background: Improve panel responsiveness.
+ Color: Ensure a reasonable minimum height.
+ User Accounts: Fix password strength check.
+ Wifi: Prevent some potential crashes.
+ Updated translations.
- Drop conditional and currently not applied
gnome-control-center-probe-radius-server-cert.patch: All upstream
bugs closed as fixed, so we do not need this anymore. Following
this drop conditional NetworkManager(cacert-patch) Requires.
- Drop all suse_update_desktop_file macros, no longer needed.

==== gnome-desktop ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-desktop-lang gnome-version libgnome-desktop-3-12
libgnome-desktop-3_0-common typelib-1_0-GnomeDesktop-3_0

- Update to version 3.26.1:
+ Fix problems with thumbnailer sandboxing (bgo#787072).
+ Updated translations.
- Drop gnome-desktop-no-usr-merge.patch: Fixed upstream.

==== gnome-dictionary ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-dictionary-lang

- Update to version 3.26.1:
+ Menu for dictionary selection has too small size (bgo#777584).
+ Can't add dictionary sources (bgo#762589).
+ Updated translations.

==== gnome-disk-utility ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-disk-utility-lang

- Update to version 3.26.1:
+ Fix license link in logo SVG metadata.
+ Fix SIGSEGV in gdu_utils_get_all_contained_objects.
+ Keep FS mounted while growing partition.
+ Show mount options for swap volumes.
+ Updated translations.

==== gnome-documents ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-documents-lang gnome-documents_books-common
gnome-shell-search-provider-documents

- Update to version 3.26.1:
+ Updated translations.

==== gnome-games ====
Version update (3.26.0 -> 3.26.1.1)
Subpackages: gnome-games-lang

- Update to version 3.26.1.1:
+ Updated translations.
- Drop tar scm service, upstream now have regular releases.
- Update to version 3.26.1:
+ Updated translations.
- Drop %icon_theme_cache_*, %icon_theme_cache_*
and %glib2_gsettings_schema_* post/postun macros: functionality
now covered by file triggers.

==== gnome-maps ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-maps-lang

- Update to version 3.26.1:
+ Avoid a GTK+ warning on startup.
+ Export symbols from modules using var instead of const to
comply with ES6 and avoid a warning on newer GJS versions.
+ Updated translations.
- Update RPM groups.

==== gnome-music ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-music-lang

- Update to version 3.26.1:
+ Updated translations.

==== gnome-online-accounts ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-online-accounts-lang libgoa-1_0-0 libgoa-backend-1_0-1
typelib-1_0-Goa-1_0

- Update to version 3.26.1:
+ Updated translations.

==== gnome-photos ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-photos-lang gnome-shell-search-provider-gnome-photos

- Update to version 3.26.1:
+ Bugs fixed: bgo#785115, bgo#788042.
+ Updated translations.

==== gnome-session ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-session-core gnome-session-default-session gnome-session-lang

- Update to version 3.26.1:
+ Log warning fix.
+ Updated translations.

==== gnome-settings-daemon ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-settings-daemon-lang

- Update to version 3.26.1:
+ Wacom:
- Ensure builtin touchscreens are properly mapped to outputs.
- Fix spotty touchscreen detection with those touchscreens
that have a capacitive menu/windows button.
- Fix touchscreen vs display orientation mismatch under gdm.
+ XSettings: Reload the scale factor when mutter starts up.
+ Updated translations.
- Drop gnome-settings-daemon-wacom-tablet-rotation.patch: Fixed
upstream.

==== gnome-shell ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-shell-browser-plugin gnome-shell-calendar gnome-shell-lang

- Do not recommend gnome-shell-search-provider-documents: that
package in turn should just supplement gnome-shell.
- Update to version 3.26.1:
+ Don't detach launched apps to not break pkexec and friends
(bgo#763531).
+ Allow search providers to not autostart (bgo#785380,
bgo#787986).
+ Fix crash when tray icons are hidden/shown in quick succession
(bgo#787361).
+ Make window group switcher more consistent (bgo#786009).
+ Improve legibility of the top bar when translucent
(bgo#787940).
+ Don't crash when running outside a logind session (bgo#788046).
+ Allow to run headless (bgo#730551).
+ Update calendar on timezone changes (bgo#678507).
+ Improve keyboard navigation of window previews (bgo#786546).
+ Run unit tests on `meson test` (bgo#786497).
+ Misc. bug fixes: bgo#787423, bgo#766368, bgo#787580,
bgo#787907, bgo#787901, bgo#788039, bgo#788003, bgo#786343,
bgo#787902, bgo#788265, bgo#788339, bgo#787905, bgo#788282,
bgo#787676.
+ Updated translations.
- Drop upstream fixed patches:
+ Drop gnome-shell-app-workaround-pkexec.patch.
+ gnome-shell-dateMenu-fixes.patch.
+ gnome-shell-fix-crash-hint-actor-NULL.patch.
+ gnome-shell-only-listen-window-created-events-once.patch.
+ gnome-shell-disable-osk-gesture-on-lock-screen.patch.
- Move all SLE only patches to patch# 1000 and above.
- Update package summaries.
- Add gnome-shell-disable-osk-gesture-on-lock-screen.patch:
Disable OSK gesture on lock screen (bgo#788339).

==== gnome-software ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-software-lang

- Update to version 3.26.1:
+ external-appstream: Fix leak when getting a temp file name.
+ fwupd: Fix critical warning if the update URI isn't set.
+ packagekit: Fix crash if reporting progress with no current
application.
+ gs-desktop-common: Fix "Addons" back to "Addon" in category
IDs.
+ snap: Don't use a common SnapdClient.
+ Updated translations.

==== gnome-system-monitor ====
Subpackages: gnome-system-monitor-lang

- Update descriptions.

==== gnome-terminal ====
Version update (3.26.0 -> 3.26.1)
Subpackages: gnome-shell-search-provider-gnome-terminal gnome-terminal-lang
nautilus-extension-terminal

- Update to version 3.26.1:
+ Updated translations.

==== gnome-tweak-tool ====
Version update (3.26.1 -> 3.26.2.1)
Subpackages: gnome-tweak-tool-lang

- Update to version 3.26.2.1:
+ Don't offer emoji support in search boxes.
+ Updated translations.

==== gnome-user-docs ====
Version update (3.26.0.1 -> 3.26.1)
Subpackages: gnome-user-docs-lang

- Update to version 3.26.1:
+ Updates to GNOME Help.
+ Updated translations.

==== gobject-introspection ====
Version update (1.54.0 -> 1.54.1)
Subpackages: girepository-1_0 libgirepository-1_0-1

- Update to version 1.54.1:
+ girnode.c: Use locale-independent functions to parse numbers
(bgo#788087).
- Drop '%if 0%{suse_version} <= 1140' conditional: obsolete.

==== gthumb ====
Version update (3.5.2 -> 3.5.3)
Subpackages: gthumb-lang

- Update to version 3.5.3:
+ New features and user visible changes:
- Add app menu entries to the gear menu if the app menu is not
supported by the desktop environment.
- Updated appdata file.
- Fixed help markup.
+ Updated manual translations.
+ Updated translations.
- Change devel's package group to Development/Libraries/GNOME:
correction.
- Drop %desktop_database_*, %icon_theme_cache_* and
%glib2_gsettings_schema_* post/postun/requires: functionality now
covered by file triggers.
- Upstream's file rename of: gthumb.appdata.xml to
org.gnome.gThumb.appdata.xml, gthumb.desktop to org.gnome.gThumb
and gthumb-import to org.gnome.gThumb.Import.

==== gtk3 ====
Version update (3.22.21 -> 3.22.24)
Subpackages: gtk3-data gtk3-immodule-amharic gtk3-immodule-inuktitut
gtk3-immodule-thai gtk3-immodule-vietnamese gtk3-immodule-xim gtk3-lang
gtk3-tools libgtk-3-0 typelib-1_0-Gtk-3_0

- Update to version 3.22.24:
+ Combobox: Don't try to remove grabs on NULL devices.
+ Fix some issues with the new resizable tiling.
- Update to version 3.22.23:
+ Bugs fixed: bgo#783669, bgo#784562.
- Update to version 3.22.22:
+ Bugs fixed: bgo#639931, bgo#644248, bgo#775126, bgo#780758,
bgo#781757, bgo#787021, bgo#787302, bgo#787303, bgo#787444,
bgo#787531, bgo#787600, bgo#787757.
+ Updated translations.
- Add gtk3-silence-log-spew-blank-cursors.patch wayland: Don't spew
warnings for blank cursors. Patch from upstream bug (bgo#775217).

==== gtksourceview ====
Version update (3.24.4 -> 3.24.5)
Subpackages: gtksourceview-lang libgtksourceview-3_0-1 typelib-1_0-GtkSource-3_0

- Update to version 3.24.5:
+ Bug fix in gtk_source_view_indent_lines().
+ Improvements to the:
- Visual Studio builds.
- Syntax highlighting of: Vala.
+ Updated translations.

==== gucharmap ====
Version update (10.0.1 -> 10.0.2)
Subpackages: gucharmap-lang libgucharmap_2_90-7

- Update to version 10.0.2:
+ help:
- Remove unused translated screenshots.
- Fix missing image.
+ Add Polish help screenshots.

==== gvfs ====
Version update (1.34.0 -> 1.34.1)
Subpackages: gvfs-backend-afc gvfs-backend-samba gvfs-backends gvfs-fuse
gvfs-lang

- Update to version 1.34.1:
+ dav: Prevent usage of uninitialized variables.
+ afp: Prevent usage of uninitialized variables.
+ programs: Remove bashism from gvfs-* wrapper script.
+ Updated translations.

==== harfbuzz ====
Version update (1.4.8 -> 1.5.1)
Subpackages: harfbuzz-devel libharfbuzz-icu0 libharfbuzz0 libharfbuzz0-32bit

- Update to version 1.5.1:
+ Fix "unsafe-to-break" in fallback shaping and other corner
cases. All our tests pass with --verify now, meaning
unsafe-to-break API works as expected.
+ Add --unicodes to hb-view / hb-shape.
+ [indic] Treat Consonant_With_Stacker as consonant. This will
need further tweaking.
+ hb_buffer_diff() tweaks.
- Changes from version 1.5.0:
+ Misc new API, for appending a buffer to another, and for
comparing contents of two buffers for types of differences.
+ New "unsafe-to-break" API. Can be used to speed up reshaping
in line-breaking situations. Essentially, after shaping, it
returns positions in the input string (some of the cluster
boundaries) that are "safe to break" in that if the text is
segmented at that position and two sides reshaped and
concatenated, the shaping result is exactly the same as shaping
the text in one piece.
+ hb-view and hb-shape and hb-shape now take --verify, which
verifies the above property.
+ Some corner cases of the implementation are still not quite
working. Those will be fixed in subsequent releases.

==== java-1_8_0-openjdk ====
Subpackages: java-1_8_0-openjdk-headless

- Change the requirement of tzdata-java8 to Recommends, since it is
not strictly needed.
- Added patch:
* alternative-tzdb_dat.patch
+ Allow specifying alternative path where to find the tzdb.dat
file. With fallback to $JAVA_HOME/jre/lib/tzdb.dat
- Don't symlink tzdb.dat in postinstall
- Update the provided jdbc-stdext version to 4.2
- Allow bootstrapping by itself (BuildConflicts: java-devel >= 1.9)

==== jsonrpc-glib ====
Version update (3.26.0 -> 3.26.1)

- Update to version 3.26.1:
+ Require -std=gnu11 in project config. We always required this,
but previously we were relying on the default GCC flags to do
so.
+ Fix improper use of va_list on non-Intel architectures.
+ JsonrpcOutputStream now properly checks for pending operations
before flushing, so that an error is not incorrectly
synthesized.
+ Improved error propagation from data streams.
+ Correctness fixes for stress tests.

==== libdazzle ====
Version update (3.26.0 -> 3.26.1)
Subpackages: libdazzle-1_0-0 typelib-1_0-libdazzle-1_0

- Update to version 3.26.1:
+ icons: avoid thrashing the GtkIconTheme on startup.
+ prefs: track destruction state of pref widgets.
+ macros: add a few internally used macros to public API.
+ tests: crib some test data for portable tests.
+ file-chooser-entry: be lazy with dialog construction.

==== liblouis ====
Subpackages: liblouis-data liblouis14 python3-louis

- Redo package summaries, and compact/trim descriptions for size.
- drop separate spec files for python-louis and python3-louis
- completely drop python2 bindings
- build python3-louis as a subpackage of liblouis

==== libnsl ====
Subpackages: libnsl2 libnsl2-32bit

- Install yppasswd.h again
- Disable static library
- Don't install into nsl subdirectories

==== librsvg ====
Version update (2.40.18 -> 2.40.19)
Subpackages: gdk-pixbuf-loader-rsvg librsvg-2-2 rsvg-thumbnailer
typelib-1_0-Rsvg-2_0

- Update to version 2.40.19:
+ Fix the <switch> element; it wasn't working at all.
+ Fix loading when rsvg_handle_write() is called one byte at a
time.
+ Backported the test suite machinery from the master branch.
+ Bugs fixed: bgo#587721, bgo#621088, bgo#634324, bgo#634514,
bgo#777155, bgo#777833, bgo#782098, bgo#785276, bgo#786372,
bgo#787895.
- Add pkgconfig(fontconfig) and pkgconfig(pangoft2) BuildRequires:
new dependencies verified by configure.

==== mutter ====
Version update (3.26.0 -> 3.26.1)
Subpackages: libmutter-1-0 mutter-data mutter-lang

- Update to version 3.26.1:
+ Fix crash when respawning shortcut inhibitor dialog
(bgo#787568).
+ Fix crash during monitor configuration migration (bgo#787668).
+ Fix multihead regressions in X11 session (bgo#787477).
+ Fix screen rotation regressions (bgo#787836).
+ Fix keybindings not being resolved with non-latin layouts (bgo#787016).
+ Support snap packages for sandboxed app IDs (bgo#788217).
+ Fix crash when reconnecting tablet device (bgo#787649).
+ Support running headless (bgo#730551, bgo#787637).
+ Support _NET_RESTACK_WINDOW and ConfigureRequest siblings (bgo#786365).
+ Fix monitor layout not being remembered across sessions (bgo#787629).
+ Make sure to export _NET_NUMBER_OF_DESKTOPS (bgo#760651).
+ Allow resizing of tiled windows (bgo#645153).
+ Export tiling information to clients (bgo#751857).
+ Misc. bug fixes: bgo#787570, bgo#787715, bgo#787953,
bgo#788049, bgo#788199, bgo#788292, bgo#788197.
+ Updated translations.
- Drop upstream fixed patches:
+ mutter-wayland-fixes.patch.
+ mutter-monitor-refresh-rate.patch.
+ mutter-fix-kinetic-scrolling.patch.
+ mutter-monitor-config-manager-rotation-fix.patch.
+ mutter-fix-hidpi-scaling-x11.patch.
+ mutter-bsc1052058-NET_RESTACK_WINDOW-Respect-sibling.patch.
- Add mutter-bsc1052058-NET_RESTACK_WINDOW-Respect-sibling.patch:
Implement _NET_RESTACK_WINDOW and respect sibling field of
XConfigureRequestEvent. This way X11 window stack operations work
as expected.
(bsc#1052058, bgo#786363, bgo#786365)

==== patterns-gnome ====
Subpackages: patterns-gnome-gnome patterns-gnome-gnome_admin
patterns-gnome-gnome_basis patterns-gnome-gnome_basis_opt
patterns-gnome-gnome_games patterns-gnome-gnome_ide
patterns-gnome-gnome_imaging patterns-gnome-gnome_imaging_opt
patterns-gnome-gnome_internet patterns-gnome-gnome_laptop
patterns-gnome-gnome_multimedia patterns-gnome-gnome_multimedia_opt
patterns-gnome-gnome_office patterns-gnome-gnome_office_opt
patterns-gnome-gnome_utilities patterns-gnome-gnome_yast
patterns-gnome-sw_management_gnome

- Add gnome-font-viewer recommendation to the gnome pattern.

==== polari ====
Version update (3.26.0 -> 3.26.1)
Subpackages: polari-lang typelib-1_0-Polari-1_0

- Update to version 3.26.1:
+ Updated translations.
- Ensure neutrality of description.

==== retro-gtk ====
Version update (0.12.0 -> 0.12.1)

- Drop no longer used tar scm service, upstream releases tarballs
now.
- Update to version 0.12.1:
+ Core:
- Fix a memory leak in the destructor.
- Support partially setting memory regions.
+ CoreView: Reset inputs when losing focus.

==== rhino ====

- Don't require java-1_5_0-gcj-compat-devel, since it is bound to
go
- Require java-devel >= 1.6
- Specify java source and target level 6 to allow buiding with jdk9

==== servletapi5 ====

- Removed patch:
* java150_build.patch
- Don't hardcode the source and target levels, specify them on
command line instead
- Don't build with java-1_5_0-gcj-compat, since it is bound to go
- Specify source and target level 1.6 in order to allow building
with jdk9

==== simple-scan ====
Version update (3.26.0 -> 3.26.1)
Subpackages: simple-scan-lang

- Update to version 3.26.1:
+ Updated translations.

==== sysprof ====
Version update (3.26.0 -> 3.26.1)
Subpackages: sysprof-lang

- Update to version 3.26.1:
+ Add missing FAQ to help documentation.

==== template-glib ====
Version update (3.26.0 -> 3.26.1)
Subpackages: libtemplate_glib-1_0-0 template-glib-lang typelib-1_0-Template-1_0

- Update to version 3.26.1:
+ Enable C99 support specifically in meson.build.
+ Updated translations.

==== tracker ====
Version update (2.0.0 -> 2.0.1)
Subpackages: libtracker-common-2_0 libtracker-control-2_0-0
libtracker-miner-2_0-0 libtracker-sparql-2_0-0 tracker-lang
typelib-1_0-Tracker-2_0 typelib-1_0-TrackerControl-2_0

- Update to version 2.0.1:
+ libtracker-fts: Fix FTS queries that included stop words.
+ libtracker-sparql: Fix introspection annotations for
TrackerNotifier.
+ libtracker-miner:
- Fix cancellation of TrackerDecorator.
- Several fixes to causes of nie:url UNIQUE constraint errors,
and better resilience against prior stale data.
+ Meson fixes.
+ Compiler warning fixes.
+ Updated translations.
- Drop tracker-libtracker-fixes.patch: fixed upstream.

==== tracker-miners ====
Version update (2.0.0 -> 2.0.1)
Subpackages: tracker-miner-files tracker-miners-lang

- Update to version 2.0.1:
+ tracker-miner-apps: Ignore broken .desktop file symlinks.
+ tracker-miner-fs: Ignore non-native mounts.
+ tracker-extract: Fix insertion of white balance values in
images.
+ Compile warnings and Coverity issue fixes.
+ Fix srcdir!=builddir builds.
- Drop tracker-miners-tracker-extract-fixes.patch: fixed upstream.

==== vte ====
Version update (0.50.0 -> 0.50.1)
Subpackages: libvte-2_91-0 typelib-1_0-Vte-2.91 vte-lang

- Update to version 0.50.1:
+ emulation: Add support for REP (repeat preceding graphic
character).
+ widget:
- Fix initial size in presence of non-default padding.
- Fix a crash with hyperlinks if the mouse is over the padding.
- Update package summaries. Replace old RPM shell vars by new
constructs. Avoid running fdupes across partition boundaries.
Drop --with-pic which is useless for --disable-static builds.

==== xalan-j2 ====

- Added patch:
* openjdk-build.patch
+ Fix build with different versions of OpenJDK
- Do not require gcc-java any more
- Run fdupes

==== xerces-j2 ====
Subpackages: xerces-j2-xml-apis xerces-j2-xml-resolver

- Added patch:
* xerces-2_11_0-jdk7.patch
+ Dummy implementation of the getContentDocument() in common
DOM API, in order to be able to build with jdk >= 1.6
- Specify java source and target level 1.6 and don't depend on gcj

==== yast2-theme ====
Version update (4.0.0 -> 4.0.1)
Subpackages: yast2-branding-openSUSE yast2-branding-openSUSE-Oxygen

- add to SLE theme registration specific autoinstall.png
(bsc#1054965)
- 4.0.1


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages